Subject: > Again Gnuclient

From: Peter Breton <[email-masked]>
Date: Tue, 8 Oct 1996 17:12:31 -0400

>> the GnuClient keeps me awake. Great program, but one drawback is
 >> left: a few days ago someone asked to de-iconify emacs on
 >> gnuclient request or to bring it to front.

 David> (require 'advice) (defadvice server-edit-files (after
 David> server-raise-frame activate) (raise-frame (selected-frame))
 David> (setq gnuserv-frame (selected-frame)))

 David> (defadvice server-edit-files (after server-raise-frame
 David> activate) (raise-frame (selected-frame)) (message "raising
 David> frame") (sit-for 1) (setq gnuserv-frame (selected-frame)))

Have you tested this on NTEmacs? On NT 4.0 Release Emacs 19.32,

  (raise-frame (selected-frame))

has no effect whatsoever. I guess the advice would work on Unix,
and on NT once the raise-frame function is fixed....

				Peter